jQuery(document).ready(function($) {

    if ( 'undefined' === typeof ig_es_presubmit_params ) {
        return false;
    }

    let params = ig_es_presubmit_params;

    let guest_id = parseInt( params.guest_id );
    let email = '';
    let $checkout_form = $( 'form.checkout' );
    let email_fields = params.email_capture_selectors;
    let checkout_fields = params.checkout_capture_selectors;
    let checkout_fields_data = {};
    let capture_email_xhr;

    $.each( checkout_fields, function( i, field_name ) {
        checkout_fields_data[field_name] = '';
    });

    function ig_es_capture_guest_email() {
        if ( ! $(this).val() || email === $(this).val() ) {
            return;
        }

        email = $(this).val();

        let data = {
            action: 'ig_es_capture_guest_email',
            email: email,
            checkout_fields: ig_es_get_checkout_field_values(),
            security: params.security
        };

        if ( capture_email_xhr ) {
            capture_email_xhr.abort();
        }

        capture_email_xhr = $.post( params.ajax_url, data, function( response ) {
            if ( response && response.success ) {
                guest_id = response.data.guest_id;
            }
        });
    }

    function ig_es_capture_checkout_field_value() {
        let field_name = $(this).attr( 'name' );
        let field_value = $(this).val();

        if ( ! field_name || checkout_fields.indexOf( field_name ) === -1  ) {
            return;
        }

        // Don't capture if the field is empty or hasn't changed
        if ( ! field_value || checkout_fields_data[field_name] === field_value ) {
            return;
        }

        checkout_fields_data[field_name] = field_value;

        if ( guest_id ) {
            let guest_data = {
                action: 'ig_es_capture_checkout_field_value',
                guest_id: guest_id,
                field_name: field_name,
                field_value: field_value,
                security: params.security   
            }
            $.post( params.ajax_url, guest_data, function( response ) {
                console.log(response);
            });
        }
    }

    /**
     * Get the current values for checkout fields.
     *
     * @return object
     */
    function ig_es_get_checkout_field_values() {
        var fields = {};

        $.each( checkout_fields, function( i, field_name ) {
            fields[field_name] = $('form.woocommerce-checkout [name="'+field_name+'"]').val();
        });

        return fields;
    }

    $(document).on( 'blur change', email_fields.join(', '), ig_es_capture_guest_email );
    $checkout_form.on( 'change', 'select', ig_es_capture_checkout_field_value );
    $checkout_form.on( 'blur change', '.input-text', ig_es_capture_checkout_field_value );

});
