<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class IG_ES_Abandoned_Cart_Options
 *
 * @since 4.6.5
 */
class IG_ES_Abandoned_Cart_Options {


	/**
	 * Method to check if WooCommerce cart tracking is enabled.
	 * 
	 * @return bool $cart_tracking_enabled Cart tracking enabled.
	 * 
	 * @since 4.6.5
	 */
	public static function is_cart_tracking_enabled() {

		$track_wc_cart         = get_option( 'ig_es_track_wc_cart', 'no' );
		$cart_tracking_enabled = ! empty( $track_wc_cart ) && 'yes' === $track_wc_cart;

		return $cart_tracking_enabled;
	}

}
