<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'ES_Pro_Campaign_Rules' ) ) {

	/**
	 * Class ES_Pro_Campaign_Rules
	 *
	 * @since 4.6.12
	 */
	class ES_Pro_Campaign_Rules {

		/**
		 * IG_ES_Campaign_Rules constructor.
		 */
		public function __construct() {

			add_filter( 'ig_es_campaign_rules', array( $this, 'add_campaign_rules' ) );
		}
		
		public function add_campaign_rules( $campaign_rules = array() ) {
			
			$pro_campaign_rules = array(
				'List' => array(
					'_lists__not_in' => array(
						'name' => esc_html__( 'is not in List', 'email-subscribers' ),
					),
				),
				'Subscriber' => array(
					'email'        => array( 
						'name' => esc_html__( 'Email', 'email-subscribers' )
					),
					'country_code' => array( 
						'name' => esc_html__( 'Country', 'email-subscribers' )
					),
					'engagement_score' => array( 
						'name' => esc_html__( 'Engagement score', 'email-subscribers' )
					),
				),
				'Campaign' => array(
					'_sent'               => array( 
						'name' => esc_html__( 'has received', 'email-subscribers' ) 
					),
					'_sent__not_in'       => array( 
						'name' => esc_html__( 'has not received', 'email-subscribers' ) 
					),
					'_open'               => array( 
						'name' => esc_html__( 'has received and opened', 'email-subscribers' ) 
					),
					'_open__not_in'       => array( 
						'name' => esc_html__( 'has received but not opened', 'email-subscribers' ) 
					),
					'_click'              => array( 
						'name' => esc_html__( 'has received and clicked', 'email-subscribers' ) 
					),
					'_click__not_in'      => array( 
						'name' => esc_html__( 'has received and not clicked', 'email-subscribers' ) 
					),
				),
			);

			$campaign_rules = array_merge_recursive( $campaign_rules, $pro_campaign_rules );
			
			return $campaign_rules;
		}
	}
}

new ES_Pro_Campaign_Rules();
