<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'ES_Pro_Workflow_Gallery' ) ) {
	/**
	 * The admin-specific functionality of the plugin.
	 *
	 * Admin Settings
	 *
	 * @package    Email_Subscribers
	 * @subpackage Email_Subscribers/admin
	 */
	class ES_Pro_Workflow_Gallery {

		// class instance
		public static $instance;

		public static function get_instance() {
			if ( ! isset( self::$instance ) ) {
				self::$instance = new self();
			}
	
			return self::$instance;
		}

		public static function init() {
			self::register_hooks();
		}
	
		public static function register_hooks() {
			add_filter( 'ig_es_workflow_gallery', array( __CLASS__, 'add_workflow_gallery' ) );
		}

		public static function add_workflow_gallery( $gallery = array() ) {

			$item_files_path = untrailingslashit( ES_PLUGIN_DIR . 'pro/workflows/gallery-items/*.php' );

			$pro_gallery = ES_Workflow_Gallery::get_gallery_from_folder( $item_files_path );
			
			if ( ! empty( $pro_gallery ) ) {
				$gallery = array_merge( $gallery, $pro_gallery );
			}

			return $gallery;
		}
	}
}
