<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class to handle IG_ES_Wishlist data item
 * 
 * @since 4.6.10
 */
class IG_ES_Data_Type_Wishlist extends ES_Workflow_Data_Type {

	/**
	 * Validate given data item
	 * 
	 * @param $item
	 * @return bool
	 */
	public function validate( $item ) {
		
		if ( ! ( $item instanceof IG_ES_Wishlist ) ) {
			return false;
		}

		return true;
	}


	/**
	 * Returns id of given data item object. Only validated $items should be passed to this method
	 * 
	 * @param IG_ES_Wishlist $item
	 * @return mixed
	 */
	public function compress( $item ) {
		return $item->get_id();
	}


	/**
	 * Return data item object from given id.
	 * 
	 * @param $compressed_item
	 * @param $compressed_data_layer
	 * @return mixed
	 */
	public function decompress( $compressed_item, $compressed_data_layer ) {

		if ( ! $compressed_item ) {
			return false;
		}

		return IG_ES_Wishlists::get_wishlist( $compressed_item );
	}

}
