<?php

$email_content = <<<EMAIL
Hi {{ customer.first_name | fallback: 'there' }},

It looks like you didn't get to finish checking out on {{ shop.url }}, so we saved the items in your cart for you.

<strong>Here's what's waiting for you:</strong>

{{ cart.items }}

<a href="{{ cart.link }}">Click here to complete your order</a>.

Use the coupon code <strong>{{ coupon.generate_unique_coupon | template:'INSERT TEMPLATE COUPON NAME' }}</strong> to get additional discount of XXX% during checkout.

See you soon,
Your friends at {{ shop.title }}
EMAIL;

return array(
	'title'       => __( 'Cart: Abandoned cart email with coupon', 'email-subscribers' ),
	'description' => __( 'Trigger a follow up email to the customer in case they have abandoned their cart.', 'email-subscribers' ),
	'type'        => IG_ES_WORKFLOW_TYPE_USER,
	'trigger_name'=> 'ig_es_wc_cart_abandoned',
	'rules'       => array(),
	'meta'		  => array(
		'when_to_run' => 'immediately',
	),
	'actions'     => array(
		array(
			'action_name'         => 'ig_es_send_email',
			'ig-es-send-to'       => '{{ customer.email }}',
			'ig-es-email-subject' => "Still thinking it over, {{ customer.first_name | fallback: 'friend' }}?",
			'ig-es-email-content' => $email_content,
		),
	),
	'required_plugins' => array(
		'woocommerce/woocommerce.php',
	),
);
