<?php

$email_content = <<<EMAIL
Hi {{ wc_order.billing_first_name | fallback: 'there' }},

Thanks for shopping with us at {{ shop.title }}!!!

Be sure to visit again soon to check out other great items, and use the coupon code <strong>{{ coupon.generate_unique_coupon | template:'INSERT TEMPLATE COUPON NAME' }}</strong> to save XXX% on your next purchase!

See you soon,
Your friends at {{ shop.title }}
EMAIL;

return array(
	'title'       => __( 'Order: Reward customers with coupon when they place an order', 'email-subscribers' ),
	'description' => __( 'Trigger an email to encourage repeat purchase from customers by including a personalized coupon in the email.', 'email-subscribers' ),
	'type'        => IG_ES_WORKFLOW_TYPE_USER,
	'trigger_name'=> 'ig_es_wc_order_completed',
	'meta'		  => array(
		'when_to_run' => 'immediately',
	),
	'actions'     => array(
		array(
			'action_name'         => 'ig_es_send_email',
			'ig-es-send-to'       => '{{ wc_order.billing_email }}',
			'ig-es-email-subject' => __( 'Save XXX% on your next order!', 'email-subscribers' ),
			'ig-es-email-content' => $email_content,
		),
	),
	'required_plugins' => array(
		'woocommerce/woocommerce.php',
	),
);
