<?php

$email_content = <<<EMAIL
Hello {{FIRSTNAME | fallback:'there'}},

Thanks for leaving a review on {{ shop.title }}. We love hearing your feedback, so we'd like to say a special thank you.

Use the coupon code <strong>{{ coupon.generate_unique_coupon | template:'INSERT TEMPLATE COUPON NAME' }}</strong> to enjoy XXX% off your next purchase!

<a href="{{ shop.url }}">Shop now!</a>

See you soon,
Your friends at {{ shop.title }}
EMAIL;

return array(
	'title'       => __( 'Reviews: Thank-you customers for product review (with coupon)', 'email-subscribers' ),
	'description' => __( 'Trigger a special thank you email to customers who leave product review - include a personalized coupon in the email.', 'email-subscribers' ),
	'type'        => IG_ES_WORKFLOW_TYPE_USER,
	'trigger_name'=> 'ig_es_wc_product_review_approved',
	'meta'		  => array(
		'when_to_run' => 'immediately',
	),
	'actions'     => array(
		array(
			'action_name'         => 'ig_es_send_email',
			'ig-es-send-to'       => '{{EMAIL}}',
			'ig-es-email-subject' => __( 'Thanks for your feedback at {{ shop.title }}!', 'email-subscribers' ),
			'ig-es-email-content' => $email_content,
		),
	),
	'required_plugins' => array(
		'woocommerce/woocommerce.php',
	),
);
