<?php

$email_content = <<<EMAIL
Hello {{ customer.first_name | fallback: 'there' }},

Remember the awesome item(s) below? You saved it in your wishlist, and guess what? It's on sale!

{{ wishlist.items | template: 'product-grid-2-col.php' }}

Pieces priced like this don't stick around long, so grab them while they last!

<a href="{{ wishlist.view_link }}">Get it now</a>

Happy shopping!
Your friends at {{ shop.title }}
EMAIL;

return array(
	'title'       => __( 'Wishlist: Notify customers when their wishlist item goes on sale', 'email-subscribers' ),
	'description' => __( 'Trigger an email to customers to notify them about on going sale on their wishlist products.', 'email-subscribers' ),
	'type'        => IG_ES_WORKFLOW_TYPE_USER,
	'trigger_name'=> 'ig_es_wc_wishlist_item_goes_on_sale',
	'meta'		  => array(
		'when_to_run' => 'immediately',
	),
	'actions'     => array(
		array(
			'action_name'         => 'ig_es_send_email',
			'ig-es-send-to'       => '{{ customer.email }}',
			'ig-es-email-subject' => __( 'Your wishlist item is now on sale!!!', 'email-subscribers' ),
			'ig-es-email-content' => $email_content,
		),
	),
	'required_plugins' => array(
		'woocommerce/woocommerce.php',
		'yith-woocommerce-wishlist/init.php',
	),
);
