<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Trigger class to handle cart abandonment for registered or guest users.
 * 
 * @class IG_ES_Trigger_WC_Cart_Abandoned
 */
class IG_ES_Trigger_WC_Cart_Abandoned extends IG_ES_Trigger_Abstract_Abandoned_Cart {

	public $supplied_data_items = array( 'cart', 'customer', 'coupon', 'shop' );


	public function load_admin_details() {
		$this->title       = __( 'Cart Abandoned', 'email-subscribers' );
		$this->description = __( 'This trigger fires when a cart belonging to a registered customer or a guest customer is abandoned.', 'email-subscribers' );
		parent::load_admin_details();
	}

	/**
	 * Handle cart abandoned event
	 * 
	 * @param IG_ES_Cart $cart
	 */
	public function cart_abandoned( $cart ) {

		if ( ! $cart->has_items() ) {
			return;
		}

		$cart_data = array(
			'cart'     => $cart,
			'customer' => $cart->get_customer(),
		);

		$this->maybe_run(
			$cart_data
		);
	}
}
