<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{cart.link}} placeholder
 */
class IG_ES_Variable_Cart_Link extends IG_ES_Workflow_Variable {


	public function load_admin_details() {
		$this->description = __( "Displays a unique link to the cart page that will also restore items to the customer's cart.", 'email-subscribers');
		$this->add_parameter_select_field(
			'page', 
			__( 'Sets which page the link will direct the customer to when clicked. Default is the cart page.', 'email-subscribers' ),
			array(
				''         => __( 'Cart', 'email-subscribers' ),
				'checkout' => __( 'Checkout', 'email-subscribers' ),
			)
		);
	}


	/**
	 * Get cart restore link
	 * 
	 * @param $cart Cart
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $cart, $parameters ) {

		$page = empty( $parameters['page'] ) ? 'cart' : $parameters['page'];

		return add_query_arg(array(
			'es' => 'restore-wc-cart',
			'token' => $cart->get_token(),
			'redirect' => $page,
		), wc_get_page_permalink( 'cart' ) );
	}
}

return new IG_ES_Variable_Cart_Link();
