<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{customer.address_line_2}} placeholder
 */
class IG_ES_Variable_Customer_Address_Line_2 extends IG_ES_Workflow_Variable {

	/**
	 * Load description on admin screen.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the second line of the customer\'s address.', 'email-subscribers' );
	}


	/**
	 * Method: get_value() - get and return the second line of the customer's address.
	 *
	 * @param IG_ES_Customer $customer
	 * @param array    $parameters
	 * @param ES_Workflow $workflow
	 *
	 * @return string
	 */
	public function get_value( $customer, $parameters, $workflow ) {
		return $workflow->data_layer()->get_customer_address_2();
	}

}

return new IG_ES_Variable_Customer_Address_Line_2();
