<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{customer.city}} placeholder
 */
class IG_ES_Variable_Customer_City extends IG_ES_Workflow_Variable {

	/**
	 * Load description on admin screen.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the customer\'s billing city.', 'email-subscribers' );
	}

	/**
	 * Get customer city
	 * 
	 * @param $customer Customer
	 * @param $parameters array
	 * @param $workflow Workflow
	 * @return string
	 */
	public function get_value( $customer, $parameters, $workflow ) {
		return $workflow->data_layer()->get_customer_city();
	}

}

return new IG_ES_Variable_Customer_City();
