<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{customer.country}} placeholder
 */
class IG_ES_Variable_Customer_Country extends IG_ES_Workflow_Variable {

	/**
	 * Load description on admin screen.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the customer\'s billing country.', 'email-subscribers' );
	}


	/**
	 * Get customer country
	 * 
	 * @param $customer Customer
	 * @param $parameters array
	 * @param $workflow Workflow
	 * @return string
	 */
	public function get_value( $customer, $parameters, $workflow ) {
		$country = $workflow->data_layer()->get_customer_country();

		if ( ! $country ) {
			return false;
		}

		return ig_es_get_country_name( $country );
	}

}

return new IG_ES_Variable_Customer_Country();
