<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{customer.email}} placeholder
 */
class IG_ES_Variable_Customer_Email extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the customer\'s email address. You can use this variable in the To field when sending emails.', 'email-subscribers' );
	}

	/**
	 * Get customer email
	 * 
	 * @param IG_ES_Customer $customer
	 * @param $parameters
	 * @param ES_Workflow $workflow
	 * @return string
	 */
	public function get_value( $customer, $parameters, $workflow ) {
		return $workflow->data_layer()->get_customer_email();
	}

}

return new IG_ES_Variable_Customer_Email();
