<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{customer.last_name}} placeholder
 */
class IG_ES_Variable_Customer_Last_Name extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the customer\'s last name.', 'email-subscribers' );
	}


	/**
	 * Get customer last name
	 * 
	 * @param $customer Customer
	 * @param $parameters array
	 * @param $workflow Workflow
	 * @return string
	 */
	public function get_value( $customer, $parameters, $workflow ) {
		return $workflow->data_layer()->get_customer_last_name();
	}

}

return new IG_ES_Variable_Customer_Last_Name();
