<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{customer.state}} placeholder
 */
class IG_ES_Variable_Customer_State extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the customer\'s billing state.', 'email-subscribers' );

		$this->add_parameter_select_field('format', __( 'Choose whether to display the abbreviation or full name of the state.', 'email-subscribers' ), array(
			''             => __( 'Full', 'email-subscribers' ),
			'abbreviation' => __( 'Abbreviation', 'email-subscribers' ),
		), false );

	}


	/**
	 * Get customer state
	 * 
	 * @param $customer Customer
	 * @param $parameters array
	 * @param $workflow Workflow
	 * @return string
	 */
	public function get_value( $customer, $parameters, $workflow ) {
		$format = isset( $parameters['format'] ) ? $parameters['format'] : 'full';

		$state = $workflow->data_layer()->get_customer_state();
		$country = $workflow->data_layer()->get_customer_country();

		switch ( $format ) {
			case 'full':
				return ig_es_get_state_name( $country, $state );
				break;
			case 'abbreviation':
				return $state;
				break;
		}
	}

}

return new IG_ES_Variable_Customer_State();
