<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{customer.user_id}} placeholder
 */
class IG_ES_Variable_Customer_User_ID extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the customer\'s user ID.', 'email-subscribers' );
	}


	/**
	 * Get customer user id
	 * 
	 * @param $customer Customer
	 * @param $parameters array
	 * @param $workflow Workflow
	 * @return string
	 */
	public function get_value( $customer, $parameters, $workflow ) {
		return $customer->get_user_id();
	}

}

return new IG_ES_Variable_Customer_User_ID();
