<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{customer.username}} placeholder
 */
class IG_ES_Variable_Customer_Username extends IG_ES_Workflow_Variable {

	/**
	 * Load admin details.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the customer\'s username. This will be blank for guest customers.', 'email-subscribers' );
	}

	/**
	 * Get customer user name
	 *
	 * @param IG_ES_Customer $customer
	 *
	 * @return string
	 */
	public function get_value( $customer ) {
		if ( $customer->is_registered() ) {
			$user = $customer->get_user();

			if ( $user ) {
				return $user->user_login;
			}
		}

		return '';
	}

}

return new IG_ES_Variable_Customer_Username();
