<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{guest.address_1}} placeholder
 */
class IG_ES_Variable_Guest_Address_1 extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the first line of the guest\'s address. Please note that guests will not always have a address stored.', 'email-subscribers' );
	}

	/**
	 * Get guest address 1
	 * 
	 * @param $guest Guest
	 * @param $parameters
	 * @return string
	 */
	public function get_value( $guest, $parameters ) {
		return $guest->get_address_1();
	}
}

return new IG_ES_Variable_Guest_Address_1();
