<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{guest.country}} placeholder
 */
class IG_ES_Variable_Guest_Country extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the guest\'s country. Please note that guests will not always have a country stored.', 'email-subscribers' );
	}

	/**
	 * Get guest country
	 * 
	 * @param $guest Guest
	 * @param $parameters
	 * @return string
	 */
	public function get_value( $guest, $parameters ) {
		return $guest->get_country();
	}
}

return new IG_ES_Variable_Guest_Country();
