<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{guest.email}} placeholder
 */
class IG_ES_Variable_Guest_Email extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the guest’s email address. Note: You can use this variable in the To field when sending emails.', 'email-subscribers');
	}


	/**
	 * Get guest email address
	 * 
	 * @param IG_ES_Guest $guest
	 * @param array $parameters
	 * @return string
	 */
	public function get_value( $guest, $parameters ) {
		return $guest->get_email();
	}
}

return new IG_ES_Variable_Guest_Email();
