<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{guest.first_name}} placeholder
 */
class IG_ES_Variable_Guest_First_Name extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the guest\'s first name. Please note that guests will not always have a first name stored.', 'email-subscribers' );
	}

	/**
	 * Get guest first name
	 * 
	 * @param $guest Guest
	 * @param $parameters
	 * @return string
	 */
	public function get_value( $guest, $parameters ) {
		return $guest->get_first_name();
	}
}

return new IG_ES_Variable_Guest_First_Name();
