<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wishlist.items_count}} placeholder
 * 
 * @since 4.6.10
 */
class IG_ES_Variable_Wishlist_Items_Count extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the number of items in the wishlist.', 'email-subscribers' );
	}


	/**
	 * Get wishlist items count
	 * 
	 * @param IG_ES_Wishlist $wishlist
	 * @param $parameters
	 * @return string
	 */
	public function get_value( $wishlist, $parameters ) {

		if ( ! is_array( $wishlist->get_items() ) ) {
			return 0;
		}

		return count( $wishlist->get_items() );
	}
}

return new IG_ES_Variable_Wishlist_Items_Count();
