<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wishlist.items}} placeholder
 * 
 * @since 4.6.10
 */
class IG_ES_Variable_Wishlist_Items extends IG_ES_Variable_Abstract_Product_Display {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		parent::load_admin_details();
		$this->description = __( 'Display a product listing of the items in the wishlist.', 'email-subscribers' );
	}


	/**
	 * Get wishlist items HTML
	 * 
	 * @param IG_ES_Wishlist $wishlist
	 * @param $parameters
	 * @param $workflow
	 * @return string
	 */
	public function get_value( $wishlist, $parameters, $workflow ) {

		$products = array();
		$template = isset( $parameters['template'] ) ? $parameters['template'] : false;

		foreach ( $wishlist->get_items() as $product_id ) {
			$product = wc_get_product( $product_id );
			$products[] = $product;
		}

		$args = array_merge( $this->get_default_product_template_args( $workflow, $parameters ), array(
			'products' => $products
		));

		return $this->get_product_display_html( $template, $args );
	}
}

return new IG_ES_Variable_Wishlist_Items();
