<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wishlist.view_link}} placeholder
 * 
 * @since 4.6.10
 */
class IG_ES_Variable_Wishlist_View_Link extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays a link to the wishlist.', 'email-subscribers' );
	}


	/**
	 * Get wishlist view link
	 * 
	 * @param IG_ES_Wishlist $wishlist
	 * @param $parameters
	 * @return string
	 */
	public function get_value( $wishlist, $parameters ) {
		return $wishlist->get_link();
	}

}

return new IG_ES_Variable_Wishlist_View_Link();
